import java.awt.event.*;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * The MVC controller for the program.
 * </p>
 * 
 * @version 1.0
 * 
 */
public class SeriesController {
	private SeriesModel model;
	private SeriesInputWindow inputView;

	/**
	 * Creates new SeriesController
	 */
	public SeriesController() {
		// intentionally empty, do not change
	}

	/**
	 * AddEpisodeListener provides a method to create a new episode. The episode
	 * should then be added to the episode list of the model. The values for the
	 * new episode come from the fields of the inputView using getText(). If the
	 * model is null when the method is called, it returns without taking any action.
	 */
	private class AddEpisodeListener implements ActionListener {
		// TODO: add method here
	}

	/**
	 * ClearEpisodeListener provides a method to clear the episode list of the
	 * model. If the model is null when the method is called, it returns without
	 * taking any action.
	 */
	private class ClearEpisodeListener implements ActionListener {
		// TODO: add method here
	}

	/**
	 * ClearInputFieldsListener provides a method to clear the input fields of
	 * the inputView.
	 */
	private class ClearInputFieldsListener implements ActionListener {
		// TODO: add method here
	}

	/**
	 * @param model
	 * 			to set as the model
	 */
	public void setModel(SeriesModel model) {
		this.model = model;
	}

	/**
	 * @return SeriesModel the model
	 */
	public SeriesModel getModel() { // future use
		return model;
	}

	/**
	 * @param theView
	 *            on which the listeners should be set
	 */
	public void setInputWindow(SeriesInputWindow theView) {
		inputView = theView;

		// Register listeners
		inputView.addAddEpisodeButtonListener(new AddEpisodeListener());

		// TODO: The first action listener has been added above. You need to add
		// the others below. There needs to be at least one action listener for
		// each component on which actions can occur.		 
		


		System.out.println("listeners registered in controller for input window");
	}
}